Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Operation_Details Class Reference

Class with operation details. More...

`#include <operation_details.h>`

Collaboration diagram for TAO_Operation_Details:

[legend]
List of all members.

## Public Methods
| TAO_Operation_Details (const char *name, CORBA::ULong len, CORBA::Boolean argument_flag)
| Constructor. More...
const char * | opname (void) const
| Operation name. More...
CORBA::ULong | opname_len (void) const
| Length of the operation name. More...
CORBA::Boolean | argument_flag (void) const
| Return the flag that indicates whether the operation has any arguments. More...
void | response_flags (CORBA::Octet flags)
| Set the response flags. More...
CORBA::Octet | response_flags (void)
| Get the response flags. More...
CORBA::Octet | response_flags (void) const
IOP::ServiceContextList & | request_service_info (void)
| Get the service context list. More...
const IOP::ServiceContextList & | request_service_info (void) const
IOP::ServiceContextList & | reply_service_info (void)
const IOP::ServiceContextList & | reply_service_info (void) const
TAO_Service_Context & | request_service_context (void)
| Access the TAO_Service_Context. More...
const TAO_Service_Context & | request_service_context (void) const
TAO_Service_Context & | reply_service_context (void)
const TAO_Service_Context & | reply_service_context (void) const
void | request_id (CORBA::ULong id)
void | modify_request_id (int originator)
| Modify request id's for a BiDirectional setup. More...
CORBA::ULong | request_id (void)
| Return the request ID associated with the operation. More...
CORBA::ULong | request_id (void) const
TAO_Target_Specification::TAO_Target_Address | addressing_mode (void)
| Accessor method for the addressing mode. More...
TAO_Target_Specification::TAO_Target_Address | addressing_mode (void) const
void | addressing_mode (CORBA::Short addr)
| Set method for the addressing mode. More...
## Private Attributes
const char * | opname_
| Name of the operation being invoked. More...
CORBA::ULong | opname_len_
| Precalculated length of opname_. More...
CORBA::ULong | request_id_
| Request ID of this operation. More...
CORBA::Boolean | argument_flag_
| Flag that indicates whether the operation has any arguments. More...
CORBA::Octet | response_flags_
| Response flags. More...
TAO_Service_Context | request_service_info_
| The ServiceContextList sent to the server side. Only valid when sending a request. More...
TAO_Service_Context | reply_service_info_
| The ServiceContextList received from the server side. Only valid when sending a request. More...
TAO_Target_Specification::TAO_Target_Address | addressing_mode_
| Addressing mode for this request. More...

## Detailed Description

Class with operation details.

This class stores some of the "operation" details that would be required by the invocation classes. This class is in its infancy now but I expect this one to grow as we come with different varieties of use cases.

## Constructor & Destructor Documentation

ACE_INLINE TAO_Operation_Details::TAO_Operation_Details | ( | const char * | name,
|  | CORBA::ULong | len,
|  | CORBA::Boolean | argument_flag
| ) |

| Constructor.

## Member Function Documentation

ACE_INLINE void TAO_Operation_Details::addressing_mode | ( | CORBA::Short | mode | ) |

| Set method for the addressing mode.

ACE_INLINE TAO_Target_Specification::TAO_Target_Address TAO_Operation_Details::addressing_mode | ( | void |  | ) | const

ACE_INLINE TAO_Target_Specification::TAO_Target_Address TAO_Operation_Details::addressing_mode | ( | void |  | ) |

| Accessor method for the addressing mode.

ACE_INLINE CORBA::Boolean TAO_Operation_Details::argument_flag | ( | void |  | ) | const

| Return the flag that indicates whether the operation has any arguments.

ACE_INLINE void TAO_Operation_Details::modify_request_id | ( | int | originator | ) |

| Modify request id's for a BiDirectional setup.

ACE_INLINE const char * TAO_Operation_Details::opname | ( | void |  | ) | const

| Operation name.

ACE_INLINE CORBA::ULong TAO_Operation_Details::opname_len | ( | void |  | ) | const

| Length of the operation name.

ACE_INLINE const TAO_Service_Context & TAO_Operation_Details::reply_service_context | ( | void |  | ) | const

ACE_INLINE TAO_Service_Context & TAO_Operation_Details::reply_service_context | ( | void |  | ) |

ACE_INLINE const IOP::ServiceContextList & TAO_Operation_Details::reply_service_info | ( | void |  | ) | const

ACE_INLINE IOP::ServiceContextList & TAO_Operation_Details::reply_service_info | ( | void |  | ) |

ACE_INLINE CORBA::ULong TAO_Operation_Details::request_id | ( | void |  | ) | const

ACE_INLINE CORBA::ULong TAO_Operation_Details::request_id | ( | void |  | ) |

| Return the request ID associated with the operation.

ACE_INLINE void TAO_Operation_Details::request_id | ( | CORBA::ULong | id | ) |

ACE_INLINE const TAO_Service_Context & TAO_Operation_Details::request_service_context | ( | void |  | ) | const

ACE_INLINE TAO_Service_Context & TAO_Operation_Details::request_service_context | ( | void |  | ) |

| Access the TAO_Service_Context.

ACE_INLINE const IOP::ServiceContextList & TAO_Operation_Details::request_service_info | ( | void |  | ) | const

ACE_INLINE IOP::ServiceContextList & TAO_Operation_Details::request_service_info | ( | void |  | ) |

| Get the service context list.

ACE_INLINE CORBA::Octet TAO_Operation_Details::response_flags | ( | void |  | ) | const

ACE_INLINE CORBA::Octet TAO_Operation_Details::response_flags | ( | void |  | ) |

| Get the response flags.

ACE_INLINE void TAO_Operation_Details::response_flags | ( | CORBA::Octet | flags | ) |

| Set the response flags.

## Member Data Documentation

TAO_Target_Specification::TAO_Target_Address TAO_Operation_Details::addressing_mode_`[private]`

| Addressing mode for this request.

CORBA::Boolean TAO_Operation_Details::argument_flag_`[private]`

| Flag that indicates whether the operation has any arguments. If there are any arguments the flag will have a value of 1, 0 otherwise.

const char* TAO_Operation_Details::opname_`[private]`

| Name of the operation being invoked.

CORBA::ULong TAO_Operation_Details::opname_len_`[private]`

| Precalculated length of opname_.

TAO_Service_Context TAO_Operation_Details::reply_service_info_`[private]`

| The ServiceContextList received from the server side. Only valid when sending a request.

CORBA::ULong TAO_Operation_Details::request_id_`[private]`

| Request ID of this operation.

TAO_Service_Context TAO_Operation_Details::request_service_info_`[private]`

| The ServiceContextList sent to the server side. Only valid when sending a request.

CORBA::Octet TAO_Operation_Details::response_flags_`[private]`

| Response flags.

The documentation for this class was generated from the following files:

- operation_details.h
- operation_details.i